/**
 * @file
 * Javascript functionality for component page not found.
 */

(function ($, Drupal, once) {

  'use strict';

  Drupal.componentPageNotFound = Drupal.componentPageNotFound || {};
  Drupal.behaviors.page_not_found = {
    attach: function (context) {
      Drupal.componentPageNotFound.page_not_found(context);
    }
  }
  Drupal.componentPageNotFound.page_not_found = function (context) {
    const $page_not_found =  $(once('pageNotFoundItems', '.component-builder.component-item--type-page-not-found', context));
    if ($page_not_found.length > 0) {
      $page_not_found.each(function () {
        const $this = $(this);

      })
    }
  }

})(jQuery, Drupal, once);
